Bug 122965 - (TB07957224) Conf.py:1125:__setitem__:TypeError: cannot concatenate 'str' and 'NoneType' objects
Conf.py:1125:__setitem__:TypeError: cannot concatenate 'str' and 'NoneType' o...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-network (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 86560
  Show dependency treegraph
 
Reported: 2004-05-10 15:26 EDT by Ben Levenson
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 23:15:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2004-05-10 15:26:17 EDT
Description of problem:
I get the following traceback while trying to save my network 
configuration on s390/s390x.  It doesn't seem to matter what part
of the networking services I am editing: 

Component: redhat-config-network
Version: 1.2.59
Summary: TB07957224 Conf.py:1125:__setitem__:TypeError: cannot
concatenate 'str' and 'NoneType' objects
Traceback (most recent call last):
  File
"/usr/src/build/328505-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 747, in on_applyButton_clicked
  File
"/usr/src/build/328505-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 338, in save
  File
"/usr/src/build/328505-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 366, in saveHardware
  File
"/usr/src/build/328505-noarch/install/usr/share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 689, in save
  File
"/usr/src/build/328505-noarch/install/usr/share/redhat-config-network/netconfpkg/plugins/NCHWEthernet.py",
line 44, in save
  File "/usr/lib64/python2.2/site-packages/rhpl/Conf.py", line 1125,
in __setitem__
    replace = key + ' ' + varname + ' ' + endofline
TypeError: cannot concatenate 'str' and 'NoneType' objects
                                                                     
                    
Local variables in innermost frame:
findexp: ^[      ]*alias[        ]+eth0[         ]+
place: 0
key: alias
missing: 1
varname: eth0
self: <netconfpkg.NCHardwareList.MyConfModules instance at 0x80bb1038>
value: {'alias': None, 'post-install': [], 'options': {},
'pre-remove': [], 'keep': 0}
endofline: None
.live.[root@kryten Testing]# rpm -q rhpl
rhpl(0:0.110-1).s390x


Version:
1.2.59-1

/etc/modules.conf:
alias eth0 qeth
options dasd_mod dasd=2438
Comment 1 Jay Turner 2004-09-01 23:15:48 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-318.html

Note You need to log in before you can comment on or make changes to this bug.